Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.config
Class FlowDefinitionResource

    java.lang.Object
      org.springframework.webflow.config.FlowDefinitionResource

    public class FlowDefinitionResource

extends java.lang.Object

An abstract representation of an externalized flow definition resource. Holds the data necessary to build a flow definition from an external file, and register the flow definition in a flow definition registry. Flow definition resources are created by a `FlowDefinitionResourceFactory`.

Author:
  Keith Donald
See Also:
  `FlowDefinitionResource`

Constructor Summary
`FlowDefinitionResource(java.lang.String flowId, org.springframework.core.io.Resource path, AttributeMap attributes)` Creates a new flow definition resource

Method Summary
`AttributeMap` | `getAttributes()` Returns attributes to assign the flow definition.
`java.lang.String` | `getId()` Returns the identifier to be assigned to the flow definition.
`org.springframework.core.io.Resource` | `getPath()` Returns the path to the flow definition resource.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowDefinitionResource

    public FlowDefinitionResource(java.lang.String flowId,
                                  org.springframework.core.io.Resource path,
                                  AttributeMap attributes)

  Creates a new flow definition resource

  Parameters:
    `flowId` - the flow id
    `path` - the location of the resource
    `attributes` - meta-attributes describing the flow resource

Method Detail

### getId

    public java.lang.String getId()

  Returns the identifier to be assigned to the flow definition.

  Returns:
    the flow definition identifier

### getPath

    public org.springframework.core.io.Resource getPath()

  Returns the path to the flow definition resource.

  Returns:
    the path location

### getAttributes

    public AttributeMap getAttributes()

  Returns attributes to assign the flow definition.

  Returns:
    flow definition attributes

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD